.loader-body {
  width: 100%;
  height: 100vh;
  background-color: #000;
  position: fixed;
  z-index: 10000;
  visibility: visible;
  top: 0;
  left: 0;
  text-align: center;
  justify-content: center;
  align-content: center;
  transition: 0.5s all;
  background-color: #000;
  background: url(../images/ICONO_SOFT.png), #000;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-position: 50% 40%;
  background-size: 200px 200px;
}
.loader {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  margin:15px auto;
  position: relative;
  color: #FFF;
  left: -128px;
  top: 50%;
  box-sizing: border-box;
  animation: shadowRolling 2s linear infinite;
}

.loader-body.done {
  visibility: hidden;
  opacity: 0;
}

@keyframes shadowRolling {
  0% {
    box-shadow: 0px 0 rgba(255, 255, 255, 0), 0px 0 rgba(255, 255, 255, 0), 0px 0 rgba(255, 255, 255, 0), 0px 0 rgba(255, 255, 255, 0);
  }
  12% {
    box-shadow: 100px 0 white, 0px 0 rgba(255, 255, 255, 0), 0px 0 rgba(255, 255, 255, 0), 0px 0 rgba(255, 255, 255, 0);
  }
  25% {
    box-shadow: 110px 0 white, 100px 0 white, 0px 0 rgba(255, 255, 255, 0), 0px 0 rgba(255, 255, 255, 0);
  }
  36% {
    box-shadow: 120px 0 white, 110px 0 white, 100px 0 white, 0px 0 rgba(255, 255, 255, 0);
  }
  50% {
    box-shadow: 130px 0 white, 120px 0 white, 110px 0 white, 100px 0 white;
  }
  62% {
    box-shadow: 200px 0 rgba(255, 255, 255, 0), 130px 0 white, 120px 0 white, 110px 0 white;
  }
  75% {
    box-shadow: 200px 0 rgba(255, 255, 255, 0), 200px 0 rgba(255, 255, 255, 0), 130px 0 white, 120px 0 white;
  }
  87% {
    box-shadow: 200px 0 rgba(255, 255, 255, 0), 200px 0 rgba(255, 255, 255, 0), 200px 0 rgba(255, 255, 255, 0), 130px 0 white;
  }
  100% {
    box-shadow: 200px 0 rgba(255, 255, 255, 0), 200px 0 rgba(255, 255, 255, 0), 200px 0 rgba(255, 255, 255, 0), 200px 0 rgba(255, 255, 255, 0);
  }
}
